Bug 223472 - crontabs should ignore Cfengine files
crontabs should ignore Cfengine files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: crontabs (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-19 11:20 EST by Josh Kelley
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: crontabs-1.10-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 09:29:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Kelley 2007-01-19 11:20:54 EST
Description of problem:
Cfengine, a popular administration and configuration tool that's provided in
Fedora Extras, may create backup files with a .cfsaved extension of files that
it modifies or replaces.

It would be useful if /usr/bin/run-parts ignored all *.cfsaved files, just like
it currently ignores *.{rpmsave,rpmorig,rpmnew,swp,v,~}.

Version-Release number of selected component (if applicable):
1.10-7

How reproducible:
always

Steps to Reproduce:
1. Let Cfengine modify file /etc/cron.daily/foo and back up the file before
modification as /etc/cron.daily/foo.cfsaved.
2. Wait until 4:00am.
  
Actual results:
/etc/cron.daily/foo and /etc/cron.daily/foo.cfsaved are both executed.

Expected results:
/etc/cron.daily/foo.cfsaved is ignored.

Additional info:
Comment 1 Marcela Mašláňová 2007-01-24 09:29:40 EST
Will be update in few days.
Already fixed in devel.

Note You need to log in before you can comment on or make changes to this bug.